Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading.channel
Class FluxChannelMap

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.shading.channel.FluxChannelMap

Direct Known Subclasses:
  FluxBlend, FluxHDRImageMap, FluxImageMap, FluxRGB, FluxSpectralChannel

    public abstract class FluxChannelMap

extends FluxObject

Field Summary
`protected static int` | `CHANNEL_BLEND`
`protected static int` | `CHANNEL_HDRIMAGE_MAP`
`protected static int` | `CHANNEL_IMAGE_MAP`
`protected static int` | `CHANNEL_RGB`
`protected static int` | `CHANNEL_SPECTRAL`
`protected static int` | `CHANNEL_UVTRANSFORMATION`

Constructor Summary
`FluxChannelMap()`

Method Summary
`void` | `serialize(ComputeByteBuffer out, int type)`
`void` | `setUVTransformation(Matrix3f m)`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, serialize, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_BLEND

    protected static final int CHANNEL_BLEND

See Also:
  Constant Field Values

### CHANNEL_HDRIMAGE_MAP

    protected static final int CHANNEL_HDRIMAGE_MAP

See Also:
  Constant Field Values

### CHANNEL_IMAGE_MAP

    protected static final int CHANNEL_IMAGE_MAP

See Also:
  Constant Field Values

### CHANNEL_RGB

    protected static final int CHANNEL_RGB

See Also:
  Constant Field Values

### CHANNEL_SPECTRAL

    protected static final int CHANNEL_SPECTRAL

See Also:
  Constant Field Values

### CHANNEL_UVTRANSFORMATION

    protected static final int CHANNEL_UVTRANSFORMATION

See Also:
  Constant Field Values

Constructor Detail

### FluxChannelMap

    public FluxChannelMap()

Method Detail

### serialize

    public void serialize(ComputeByteBuffer out,
                          int type)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setUVTransformation

    public void setUVTransformation(Matrix3f m)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD